containers-0.6.7: Assorted concrete container types

Copyright | (c) Clark Gaebel 2012 (c) Johan Tibel 2012
License | BSD-style
Maintainer | libraries@haskell.org
Portability | portable
Safe Haskell | Safe
Language | Haskell2010

Utils.Containers.Internal.BitUtil

Description

Synopsis

- bitcount :: Int -> Word -> Int
- highestBitMask :: Word -> Word
- shiftLL :: Word -> Int -> Word
- shiftRL :: Word -> Int -> Word
- wordSize :: Int

# Documentation

bitcount :: Int -> Word -> Int Source #

highestBitMask :: Word -> Word Source #

Return a word where only the highest bit is set.

shiftLL :: Word -> Int -> Word Source #

shiftRL :: Word -> Int -> Word Source #

wordSize :: Int Source #